## ros-indigo-husky-base 0.2.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(husky_base)

find_package(catkin REQUIRED COMPONENTS controller_manager hardware_interface husky_msgs
  diagnostic_updater roslaunch roslint roscpp sensor_msgs)
find_package(Boost REQUIRED COMPONENTS chrono)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES horizon_legacy
  CATKIN_DEPENDS diagnostic_updater hardware_interface husky_msgs roscpp sensor_msgs
  DEPENDS Boost
)

include_directories(include ${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

add_library(horizon_legacy
  src/horizon_legacy/crc.cpp
  src/horizon_legacy/Logger.cpp
  src/horizon_legacy/Message.cpp
  src/horizon_legacy/Message_data.cpp
  src/horizon_legacy/Message_request.cpp
  src/horizon_legacy/Message_cmd.cpp
  src/horizon_legacy/Transport.cpp
  src/horizon_legacy/Number.cpp
  src/horizon_legacy/linux_serial.cpp
)

add_executable(husky_node
  src/husky_base.cpp
  src/husky_hardware.cpp
  src/husky_diagnostics.cpp
  src/horizon_legacy_wrapper.cpp)
target_link_libraries(husky_node horizon_legacy ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(husky_node husky_msgs_gencpp)

roslint_cpp(
  src/husky_base.cpp
  src/husky_hardware.cpp
  src/husky_diagnostics.cpp
  include/husky_base/husky_diagnostics.h
  include/husky_base/husky_hardware.h
)

roslaunch_add_file_check(launch)

install(TARGETS horizon_legacy husky_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY launch config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-husky-base (0.2.7-0trusty) trusty; urgency=high

  * Follow-up to #9 <https://github.com/husky/husky_robot/issues/9>, missing default value for wheel_diameter
  * changed Husky tire to 13 inches (0.3302m)
  * Contributors: Martin Cote, Wolfgang Merkt

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 11 Apr 2018 04:00:00 -0000

ros-indigo-husky-base (0.2.6-0trusty) trusty; urgency=high

  * Adding support for the UM7 IMU.
  * Contributors: Tony Baltovski

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 03 Oct 2016 04:00:00 -0000

ros-indigo-husky-base (0.2.5-0trusty) trusty; urgency=high

  * Fix absolute value to handle negative rollover readings effectively
  * Another bitwise fix, now for x86.
  * Formatting
  * Fix length complement check.
    There's a subtle difference in how ~ is implemented in aarch64 which
    causes this check to fail. The new implementation should work on x86
    and ARM.
  * Contributors: Mike Purvis, Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Thu, 31 Dec 2015 05:00:00 -0000

ros-indigo-husky-base (0.2.4-0trusty) trusty; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 08 Jul 2015 04:00:00 -0000

ros-indigo-husky-base (0.2.3-0trusty) trusty; urgency=high

  * Integrate husky_customization workflow
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 08 Apr 2015 04:00:00 -0000

ros-indigo-husky-base (0.2.2-0trusty) trusty; urgency=high

  * Fix package urls
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-indigo-husky-base (0.2.1-0trusty) trusty; urgency=high

  * Add missing dependencies
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-indigo-husky-base (0.2.0-0trusty) trusty; urgency=high

  * Add UR5_ENABLED envvar
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-indigo-husky-base (0.1.5-0trusty) trusty; urgency=high

  * Fix duration cast
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Thu, 19 Feb 2015 05:00:00 -0000

ros-indigo-husky-base (0.1.4-0trusty) trusty; urgency=high

  * Correct issues with ROS time discontinuities - now using monotonic time source
  * Implement a sane retry policy for communication with MCU
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Fri, 13 Feb 2015 05:00:00 -0000

ros-indigo-husky-base (0.1.3-0trusty) trusty; urgency=high

  * Update description and maintainers
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Fri, 30 Jan 2015 05:00:00 -0000

ros-indigo-husky-base (0.1.2-0trusty) trusty; urgency=high

  * Fix library install location
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-indigo-husky-base (0.1.1-0trusty) trusty; urgency=high

  * Add missing description dependency
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Tue, 13 Jan 2015 05:00:00 -0000

ros-indigo-husky-base (0.1.0-0trusty) trusty; urgency=high

  * Fixed encoder overflow issue
  * Ported to ros_control for Indigo release
  * Contributors: Mike Purvis, Paul Bovbel, finostro

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 12 Jan 2015 05:00:00 -0000

ros-indigo-husky-base (0.0.5-0trusty) trusty; urgency=high

  * Mark the config directory to install.

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Fri, 04 Oct 2013 04:00:00 -0000

ros-indigo-husky-base (0.0.4-0trusty) trusty; urgency=high

  * Parameterize husky port in env variable.

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Thu, 03 Oct 2013 04:00:00 -0000

ros-indigo-husky-base (0.0.3-0trusty) trusty; urgency=high

  * Add launchfile check.
  * removing imu processing by dead_reckoning.py
  * removing dynamic reconfigure from dead_reckoning because it was only there for handling gyro correction
  * adding diagnostic aggregator and its related config file under config/diag_agg.yaml

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Tue, 24 Sep 2013 04:00:00 -0000

ros-indigo-husky-base (0.0.2-0trusty) trusty; urgency=high

  * Fix diagnostic_msgs dependency.

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 11 Sep 2013 04:00:00 -0000

ros-indigo-husky-base (0.0.1-0trusty) trusty; urgency=high

  * New husky_base package for Hydro, which contains the nodes
    formerly in husky_bringup.

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 11 Sep 2013 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-husky-base
Section: misc
Priority: extra
Maintainer: Paul Bovbel <pbovbel@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-controller-manager, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-hardware-interface, ros-indigo-husky-msgs, ros-indigo-roscpp, ros-indigo-roslaunch, ros-indigo-roslint, ros-indigo-sensor-msgs
Homepage: http://ros.org/wiki/husky_base
Standards-Version: 3.9.2

Package: ros-indigo-husky-base
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-controller-manager, ros-indigo-diagnostic-aggregator, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-diff-drive-controller, ros-indigo-geometry-msgs, ros-indigo-hardware-interface, ros-indigo-husky-control, ros-indigo-husky-description, ros-indigo-husky-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-topic-tools
Description: Clearpath Husky robot driver

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-husky-base//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
